Index: Singular/Makefile.am
===================================================================
--- Singular/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ Singular/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -177,5 +177,5 @@
 # handle all the generated *.inc
 
-AM_LDFLAGS = -L${abs_top_builddir}/Singular -L${abs_top_builddir}/numeric -L${abs_top_builddir}/kernel -L${abs_top_builddir}/libpolys/polys -L${abs_top_builddir}/libpolys/coeffs -L${abs_top_builddir}/libpolys/reporter -L${abs_top_builddir}/libpolys/resources -L${abs_top_builddir}/libpolys/misc $(USE_FACTORY) -L${abs_top_builddir}/omalloc
+AM_LDFLAGS = -L${abs_top_builddir}/Singular -L${abs_top_builddir}/numeric -L${abs_top_builddir}/kernel -L${abs_top_builddir}/libpolys/polys  $(USE_FACTORY) -L${abs_top_builddir}/omalloc
 
 noinst_PROGRAMS = gentable2 gentable1 feOpt feOptES feOptTS
@@ -220,6 +220,6 @@
 Singularg_SOURCES = tesths.cc
 
-Singular_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lresources -lreporter -lmisc $(FACTORY_LIBS) -lomalloc $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
-Singularg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lresources_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
+Singular_LDADD = libSingular.la -lnumeric -lkernel -lpolys $(FACTORY_LIBS) -lomalloc $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
+Singularg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g $(FACTORY_LIBS) -lomalloc_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
 
 Singular_CPPFLAGS = -DNDEBUG -DOM_NDEBUG
@@ -259,6 +259,6 @@
 testg_SOURCES = test.cc
 
-testr_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lresources -lreporter -lmisc $(FACTORY_LIBS) -lomalloc $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
-testg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lresources_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
+testr_LDADD = libSingular.la -lnumeric -lkernel -lpolys $(FACTORY_LIBS) -lomalloc $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
+testg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g $(FACTORY_LIBS) -lomalloc_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
 
 testr_CPPFLAGS = -DNDEBUG -DOM_NDEBUG
Index: libpolys/coeffs/Makefile.am
===================================================================
--- libpolys/coeffs/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/coeffs/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -1,4 +1,4 @@
-libcoeffs_LTLIBRARIES = libcoeffs.la libcoeffs_g.la
-libcoeffsdir = $(libdir)/singular
+noinst_LTLIBRARIES = libcoeffs.la libcoeffs_g.la
+# libcoeffsdir = $(libdir)/singular
 
 CXXTEMPLFLAGS =  --no-exceptions 
Index: libpolys/libpolys-config.in
===================================================================
--- libpolys/libpolys-config.in	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/libpolys-config.in	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -69,9 +69,9 @@
 
     --libsg)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys_g -lcoeffs_g -lresources_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys_g @FACTORY_LIBS@ -lomalloc_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
     --libs)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys -lcoeffs -lresources -lreporter -lmisc @FACTORY_LIBS@ -lomalloc @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys @FACTORY_LIBS@ -lomalloc @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
Index: libpolys/misc/Makefile.am
===================================================================
--- libpolys/misc/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/misc/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -1,4 +1,4 @@
-libmisc_LTLIBRARIES = libmisc.la libmisc_g.la
-libmiscdir = $(libdir)/singular
+noinst_LTLIBRARIES = libmisc.la libmisc_g.la
+# libmiscdir = $(libdir)/singular
 
 CXXTEMPLFLAGS      =  --no-exceptions ## -fno-implicit-templates
Index: libpolys/polys/Makefile.am
===================================================================
--- libpolys/polys/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/polys/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -135,4 +135,8 @@
 
 
+libpolys_la_LIBADD = ${abs_top_builddir}/misc/libmisc.la ${abs_top_builddir}/reporter/libreporter.la ${abs_top_builddir}/resources/libresources.la ${abs_top_builddir}/coeffs/libcoeffs.la
+libpolys_g_la_LIBADD = ${abs_top_builddir}/misc/libmisc_g.la ${abs_top_builddir}/reporter/libreporter_g.la ${abs_top_builddir}/resources/libresources_g.la ${abs_top_builddir}/coeffs/libcoeffs_g.la
+
+
 #################################################
 # autogenerated sources
Index: libpolys/reporter/Makefile.am
===================================================================
--- libpolys/reporter/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/reporter/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -1,4 +1,4 @@
-libreporter_LTLIBRARIES=libreporter.la libreporter_g.la
-libreporterdir = $(libdir)/singular
+noinst_LTLIBRARIES=libreporter.la libreporter_g.la
+# libreporterdir = $(libdir)/singular
 
 CXXTEMPLFLAGS =  --no-exceptions ## -fno-implicit-templates
Index: libpolys/resources/Makefile.am
===================================================================
--- libpolys/resources/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/resources/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -1,4 +1,4 @@
-libresources_LTLIBRARIES=libresources.la libresources_g.la
-libresourcesdir = $(libdir)/singular
+noinst_LTLIBRARIES=libresources.la libresources_g.la
+# libresourcesdir = $(libdir)/singular
 
 CXXTEMPLFLAGS      =  --no-exceptions ## -fno-implicit-templates
Index: libpolys/tests/Makefile.am
===================================================================
--- libpolys/tests/Makefile.am	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libpolys/tests/Makefile.am	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -31,5 +31,5 @@
 
 coeffs_test_LDADD = -lcoeffs_g -lresources_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g ${NTL_LIBS} ${GMP_LIBS} 
-polys_test_LDADD = -lpolys_g ${USEPPROCSDYNAMICLD} $(coeffs_test_LDADD)
+polys_test_LDADD = -lpolys_g ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc_g ${NTL_LIBS} ${GMP_LIBS} 
 rings_test_LDADD = $(polys_test_LDADD)
 
Index: libsingular-config.in
===================================================================
--- libsingular-config.in	(revision dd5fa68c4187968f9d7b2351a53fe3c164c36398)
+++ libsingular-config.in	(revision 4fdf15dc5f04f6bfa4f107ac39009a4f0ab49777)
@@ -69,9 +69,9 @@
 
     --libsg)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular_g -lkernel_g -lpolys_g -lcoeffs_g -lresources_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular_g -lkernel_g -lpolys_g @FACTORY_LIBS@ -lomalloc_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
     --libs)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular -lkernel -lpolys -lcoeffs -lresources -lreporter -lmisc @FACTORY_LIBS@ -lomalloc @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular -lkernel -lpolys @FACTORY_LIBS@ -lomalloc @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
